# Interface methods for submodule: ShapeUniqueLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceLabelMapFilterProxy as _InPlaceLabelMapFilterProxy


# Interface methods for class: ShapeUniqueLabelMapFilter
class ShapeUniqueLabelMapFilterProxy(_InPlaceLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetReverseOrdering(self) -> bool:
		""""""
		...

	def SetReverseOrdering(self, _arg: bool) -> None:
		""""""
		...

	def ReverseOrderingOn(self) -> None:
		""""""
		...

	def ReverseOrderingOff(self) -> None:
		""""""
		...

	def GetAttribute(self) -> int:
		""""""
		...

	@overload
	def SetAttribute(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetAttribute(self, s: str) -> None:
		""""""
		...

